logmath_s Struct Reference

## Data Fields

logadd_t | t
int | refcount
mmio_file_t * | filemap
float64 | base
float64 | log_of_base
float64 | log10_of_base
float64 | inv_log_of_base
float64 | inv_log10_of_base
int32 | zero

## Detailed Description

Definition at line 49 of file logmath.c.

## Field Documentation

## base

float64 logmath_s::base

Definition at line 53 of file logmath.c.

## filemap

mmio_file_t* logmath_s::filemap

Definition at line 52 of file logmath.c.

## inv_log10_of_base

float64 logmath_s::inv_log10_of_base

Definition at line 57 of file logmath.c.

## inv_log_of_base

float64 logmath_s::inv_log_of_base

Definition at line 56 of file logmath.c.

## log10_of_base

float64 logmath_s::log10_of_base

Definition at line 55 of file logmath.c.

## log_of_base

float64 logmath_s::log_of_base

Definition at line 54 of file logmath.c.

## refcount

int logmath_s::refcount

Definition at line 51 of file logmath.c.

## t

logadd_t logmath_s::t

Definition at line 50 of file logmath.c.

## zero

int32 logmath_s::zero

Definition at line 58 of file logmath.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/util/logmath.c